Security Considerations

Planning for security will help you identify security shortcomings and address them before you go into production.

Data Fabric 6.0 and later releases provide security by default. If your cluster is not already secure, the Data Fabric Converged Data Platform supports many different levels of security. For more information, see Getting Started with HPE Ezmeral Data Fabric Security.

Before installing data-fabric software using the published packages, make sure that you have reviewed the list of known vulnerabilities in Security Vulnerabilities. If a vulnerability applies to your release, contact your data-fabric support representative for a fix, and apply the fix immediately, if applicable.

If the cluster you are planning to install must communicate with other clusters, the clusters should have similar security attributes. Mixing secure and nonsecure clusters is not recommended. For more information, see Setting Up Cross-Cluster Security.